<?php
/**
 * Created by PhpStorm.
 * User: z-yang
 * Date: 2021/2/26
 * Time: 11:23
 */

namespace App\Jobs;

use Illuminate\Bus\Queueable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;

class UserBalanceJob implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;
    /**
     * @var
     */
    private $uid;
    /**
     * @var
     */
    private $type;
    /**
     * @var
     */
    private $fee;
    /**
     * @var
     */
    private $source;
    /**
     * @var
     */
    private $desc;

    /**
     * Create a new job instance.
     *
     */
    public function __construct($uid,$type,$fee,$source,$desc)
    {

        $this->uid = $uid;
        $this->type = $type;
        $this->fee = $fee;
        $this->source = $source;
        $this->desc = $desc;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle(){

    }
}