<!--
 * @Author: ZhengXiaowei
 * @Date: 2019-08-15 16:39:23
 * @LastEditors: ZhengXiaowei
 * @LastEditTime: 2019-09-11 16:31:10
 * @Description: 八月
 -->
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <link rel="stylesheet" href="https://cdn-novel.iycdm.com/h5/crm_booklist/css/booklist.css" />
    <title>{{$month}}月</title>
</head>

<body>
    <main>
        <div class="banner-wrap">
            <img src="https://cdn-novel.iycdm.com/h5/crm_booklist/images/banner{{$month}}.jpg" alt="" />
        </div>
        <div class="container">
            <div class="list-wrap">
                @foreach ($books as $item)
                <div class="list-item">
                    <a href="{{$item['link']}}">
                        <img class="cover" src="{{$item['cover']}}" alt="" />
                    </a>
                    <div class="item-info">
                        <a href="{{$item['link']}}">
                            <p class="name">{{$item['name']}}</p>
                        </a>
                        <p class="category">
                            <span>{{$item['category_name']}}</span><span>{{$item['status']==1?"完结":"连载中"}}</span>
                        </p>
                        <p class="words">字数：{{$item['size']}}</p>
                        <p class="update">
                            <i>最新：</i>{{$item['last_chapter']}}
                            @if ($item['is_vip'])
                            <img src="https://cdn-novel.iycdm.com/h5/crm_booklist/images/is_vip.png" alt="" />
                            @endif
                        </p>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </main>
</body>

</html>