<!--
/**
 * Created by PhpStorm.
 * User: z-yang
 * Date: 2019/9/3
 * Time: 14:55
 */
 -->
<!--
 * @Author: ZhengXiaowei
 * @Date: 2019-08-15 16:39:23
 * @LastEditors: ZhengXiaowei
 * @LastEditTime: 2019-09-03 14:15:51
 * @Description: 弹窗页
 -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta
            name="viewport"
            content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"
    />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>阅读小管家</title>
    <style>
        body,
        html,
        p {
            margin: 0;
            padding: 0;
        }

        .dialog-wrap {
            position: fixed;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;
            background: rgba(0, 0, 0, 0.4);
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
        }

        .dialog-wrap .dialog-content {
            position: relative;
            margin: auto;
            width: 85%;
            font-size: 0;
        }

        .dialog-wrap .dialog-content img {
            width: 100%;
        }

        .dialog-wrap .dialog-content .dialog-text {
            font-size: 18px;
            font-weight: bold;
            color: #fff;
            text-align: center;
            position: absolute;
            width: 100%;
            bottom: 6%;
            left: 50%;
            -webkit-transform: translate(-50%, 0);
            transform: translate(-50%, 0);
        }
        .dialog-content p a{
            text-decoration: none;
            color: #fdfffe;
        }

    </style>
</head>
<body>
<main>
    <div class="dialog-wrap">
        <div class="dialog-content">
            <!-- 名额用完 -->
            <!-- <img src="./imgs/over.png" alt="" /> -->
            <!-- 未指定客服 -->
            <!-- <img src="./imgs/no-server.png" alt="" /> -->
            <!-- 指定客服 -->
            @if($code == -1)
                <img src="https://cdn-novel.iycdm.com/crm/push/over.png" alt="" />
                <p class="dialog-text text-done"><a href="{{$read_url}}">前去签到>></a></p>
            @elseif($code == -2)
                <img src="https://cdn-novel.iycdm.com/crm/push/done.png" alt="" />
                <p class="dialog-text text-done"><a href="javascript:void(0)">您管家微信名叫【{{$name}}】</a></p>
            @elseif($code == -3)
                <img src="https://cdn-novel.iycdm.com/crm/push/no-server.png" alt="" />
                <p class="dialog-text text-done"><a href="{{$read_url}}">前去签到</a></p>
            @else
                <img src="https://cdn-novel.iycdm.com/crm/push/no-server.png" alt="" />
                <p class="dialog-text text-done"><a href="{{$read_url}}">联系在线客服查看管家名称</a></p>
            @endif

            <!-- 名额用完显示文本 -->
            <!-- <p class="dialog-text text-over">前去看书&gt;&gt;</p> -->
            <!-- 未指定客服显示文本 -->
            <!-- <p class="dialog-text text-no-server">联系在线客服查看管家名称&gt;&gt;</p> -->
            <!-- 指定客服显示文本 -->

        </div>
    </div>
</main>
</body>
<script>
    var doc = document;
    var wrap = doc.querySelector(".dialog-wrap");
    var content = doc.querySelector(".dialog-content");

     wrap.addEventListener(
     "click",
     function(e) {
     // 关闭弹窗
     e.preventDefault();
     //this.style.display = "none";

     },
     false
     );

    content.addEventListener(
            "click",
            function(e) {
                e.stopPropagation();
            },
            false
    );
</script>
</html>
