<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta
            name="viewport"
            content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"
    />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>抽奖大礼包</title>
    <style>
        html,
        body {
            margin: 0 auto;
            padding: 0;
            max-width: 450px;
            font-size: 100px;
        }

        html {
            background: #fff;
        }

        a {
            text-decoration: none;
            color: currentColor;
            -webkit-tap-highlight-color: transparent;
        }

        p {
            margin: 0;
        }

        i {
            font-style: normal;
        }

        .main_box {
            font-size: 0;
            position: relative;
        }

        .main_box img {
            width: 100%;
        }

        .main_box .banner-box {
            font-size: 0;
            position: relative;
        }

        .main_box .banner-box .click-area {
            position: absolute;
            bottom: 6%;
            left: 50%;
            -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
            width: 1rem;
            height: 0.35rem;
        }

        .main_box .activity-time {
            font-size: 0.12rem;
            color: #97643e;
            text-align: center;
            margin-top: 0.1rem;
        }

        .main_box .recharge-list__wrap {
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-pack: justify;
            -ms-flex-pack: justify;
            justify-content: space-between;
            -webkit-box-align: center;
            -ms-flex-align: center;
            align-items: center;
            -webkit-box-orient: horizontal;
            -webkit-box-direction: normal;
            -ms-flex-flow: row wrap;
            flex-flow: row wrap;
            width: 90%;
            margin: 0.14rem auto 0;
            -webkit-tap-highlight-color: transparent;
        }

        .main_box .recharge-list__wrap .recharge-item {
            padding: 0.14rem 0 0.12rem;
            width: 1.51rem;
            font-size: 0.12rem;
            color: #97643e;
            text-align: center;
            border: 1px solid #97643e;
            border-radius: 5px;
            -webkit-tap-highlight-color: transparent;
        }

        .main_box .recharge-list__wrap .recharge-item .pay {
            font-size: 0.25rem;
            font-weight: bold;
        }

        .main_box .recharge-list__wrap .recharge-item .get {
            font-weight: bold;
            color: #f35a0a;
        }

        .main_box .recharge-list__wrap .recharge-item.cur {
            border-color: transparent;
            background-image: -webkit-gradient(linear, left bottom, left top, from(#e2c18c), to(#f2d8aa));
            background-image: linear-gradient(0deg, #e2c18c 0%, #f2d8aa 100%);
            -webkit-box-shadow: 0px 0px 0.18rem 0px rgba(188, 142, 91, 0.5);
            box-shadow: 0px 0px 0.18rem 0px rgba(188, 142, 91, 0.5);
            color: #6f4518;
        }

        .main_box .recharge-list__wrap .recharge-item.cur .get {
            color: #6f4518;
        }

        .main_box .recharge-list__wrap .recharge-item:nth-of-type(1), .main_box .recharge-list__wrap .recharge-item:nth-of-type(2) {
            margin-bottom: 0.15rem;
        }

        .main_box .to-recharge {
            width: 90%;
            margin: 0.16rem auto 0;
            display: block;
            text-align: center;
            color: #6f4518;
            font-size: 0.18rem;
            line-height: 50px;
            background-image: -webkit-gradient(linear, right top, left top, from(#e2c18c), to(#f2d8aa));
            background-image: linear-gradient(-90deg, #e2c18c 0%, #f2d8aa 100%);
            -webkit-box-shadow: 0px 0px 0.18rem 0px rgba(188, 142, 91, 0.5);
            box-shadow: 0px 0px 0.18rem 0px rgba(188, 142, 91, 0.5);
            border-radius: 25px;
            -webkit-tap-highlight-color: transparent;
        }

        .rule-box .rule-line {
            border-top: 1px solid #edc7ab;
            height: 0px;
            width: 80%;
            margin: 0.23rem auto;
            position: relative;
        }

        .rule-box .rule-line::after {
            content: "活动说明";
            position: absolute;
            font-size: 0.13rem;
            font-weight: bold;
            color: #97643e;
            left: 50%;
            top: 50%;
            -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
            background: #fff;
            width: 100px;
            text-align: center;
        }

        .rule-box .rule-items {
            width: 80%;
            margin: 0 auto;
            font-size: 0.12rem;
            color: #97643e;
            line-height: 2;
        }

        .dialog-wrap {
            position: fixed;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;
            background: rgba(0, 0, 0, 0.3);
        }

        .dialog-wrap .dialog-content {
            position: absolute;
            top: 50%;
            left: 50%;
            width: 90%;
            -webkit-transform: translate(-50%, -60%);
            transform: translate(-50%, -60%);
        }

        .dialog-wrap .bg-wrap {
            font-size: 0;
        }

        .dialog-wrap .content {
            position: absolute;
            top: 50%;
            left: 50%;
            -webkit-transform: translate(-50%, -36%);
            transform: translate(-50%, -36%);
            width: 100%;
        }

        .dialog-wrap .content .text {
            font-size: 0.2rem;
            color: #7c5429;
            font-weight: bold;
            text-align: center;
        }

        .dialog-wrap .content .text i {
            font-size: 0.28rem;
            color: #d13600;
            font-weight: bold;
        }

        .dialog-wrap .content .to-cj {
            display: block;
            width: 1.3rem;
            line-height: 0.38rem;
            background-color: #d13600;
            -webkit-box-shadow: 0px 2px 27px 0px rgba(233, 64, 16, 0.58);
            box-shadow: 0px 2px 27px 0px rgba(233, 64, 16, 0.58);
            border-radius: 38px;
            font-size: 0.15rem;
            color: #fff;
            font-weight: bold;
            text-align: center;
            margin: 0.2rem auto 0;
            -webkit-tap-highlight-color: transparent;
        }

        .dialog-wrap .area-close {
            position: absolute;
            bottom: 0;
            left: 50%;
            -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
            width: .4rem;
            height: .4rem;
        }

        .dialog-wrap img {
            width: 100%;
        }

    </style>
</head>

<body>
<main class="main_box">
    <div class="banner-box">
        <img src="https://cdn-novel.iycdm.com/h5/activity-2019-05-30/banner1.jpg" alt="抽奖大礼包">
        @if($code == 0)
            <a href="/activity/huaweiLottery" class="click-area"></a>
        @else
            <a href="#" class="click-area"></a>
        @endif
    </div>
    <p class="activity-time">活动有效期：6月13日-{{$end_time}}</p>
    <div class="recharge-list__wrap">
        <div class="recharge-item cur" data-href="{{isset($url[0])? $url[0]:''}}">
            <p class="pay">30元</p>
            <span class="send">3000书币</span>
            <p class="get">获得1次抽奖机会</p>
        </div>
        <div class="recharge-item" data-href="{{isset($url[1])? $url[1]:''}}">
            <p class="pay">50元</p>
            <span class="send">5000+4000书币</span>
            <p class="get">获得2次抽奖机会</p>
        </div>
        <div class="recharge-item" data-href="{{isset($url[2])? $url[2]:''}}">
            <p class="pay">100元</p>
            <span class="send">10000+9000书币</span>
            <p class="get">获得4次抽奖机会</p>
        </div>
        <div class="recharge-item" data-href="{{isset($url[3])? $url[3]:''}}">
            <p class="pay">200元</p>
            <span class="send">20000+20000书币</span>
            <p class="get">获得8次抽奖机会</p>
        </div>
    </div>
    @if($code == 0)
        <a href="{{isset($url[0])? $url[0]:'#'}}" class="to-recharge" id="pay">充值后即可参与抽奖</a>
    @else
        <a href="#" class="to-recharge" >充值后即可参与抽奖</a>
    @endif

</main>
<div class="rule-box">
    <p class="rule-line"></p>
    <div class="rule-items">
        <p class="item">1、充值成功即获得抽奖机会；</p>
        <p class="item">2、此充值为书币充值，1元=100书币；</p>
        <p class="item">3、书币为虚拟物品，一经充值不得退款；</p>
        <p class="item">4、活动期间不限充值次数；</p>
    </div>
</div>
<div class="dialog-wrap" style="display: {{$display_dialog}}">
    <div class="dialog-content">
        <div class="bg-wrap">
            <img src="https://cdn-novel.iycdm.com/h5/activity-2019-05-30/dialog.png" alt="" />
            <div class="content">
                <p class="text">恭喜获得<i>{{$count}}次</i>抽奖机会</p>
                <a href="/activity/huaweiLottery" class="to-cj">立即抽奖</a>
            </div>
        </div>
        <span class="area-close"></span>
    </div>
</div>
</body>
<script src="https://cdn.bootcss.com/jquery/3.4.1/jquery.min.js"></script>
<script>
    $(".recharge-list__wrap").delegate(".recharge-item", "click", function() {
        $(".recharge-item").removeClass("cur");
        $(this).addClass("cur");
        $('#pay').attr('href',$(this).data('href'))
    })

    $(".main_box").delegate(".to-recharge", "click", function() {
        //$(".dialog-wrap").css("display", "");
    });

    $(".dialog-content").click(function(e) {
        e.stopPropagation();
    });

    [".area-close"].forEach(function(item) {
        $(item).click(function(e) {
            e.preventDefault();
            $(".dialog-wrap").css("display", "none");
        })
    });
</script>
</html>
