<?php

namespace App\Modules\OfficialAccount\Models;

use Illuminate\Database\Eloquent\Model;

class DistributionChannelSetting extends Model
{
    protected $tables = 'distribution_channel_settings';

    protected $fillable = ['distribution_channel_id','customer_img_url'];

    /**
     * 根据distribution_channel_id获取分销客服二维码URL
     */
    static function customerImgUrlByChannelId($distribution_channel_id)
    {
        
       	return self::where('distribution_channel_id',$distribution_channel_id)->first();
    
    }

}


