<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta
            name="viewport"
            content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"
    />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>扫码送礼</title>
    <style>
        html,
        body {
            margin: 0 auto;
            padding: 0.2rem 0.4rem;
            max-width: 450px;
            font-family: -apple-system-font, BlinkMacSystemFont, "Helvetica Neue",
            "PingFang SC", "Hiragino Sans GB", "Microsoft YaHei UI",
            "Microsoft YaHei", Arial, sans-serif;
        }
        .title {
            font-size: 22px;
            line-height: 1.4;
            margin-bottom: 15px;
        }

        .title .name {
            margin-top: 15px;
            font-size: 16px;
        }

        .small_title {
            color: #c00000;
            font-size: 28px;
            text-align: center;
            margin-top: 80px;
            letter-spacing: 5px;
        }

        .qrcode_box {
            text-align: center;
            margin-top: 30px;
        }

        .qrcode {
            width: 300px;
        }

        .qrcode_tips {
            margin-top: 15px;
            text-align: center;
            font-size: 18px;
            line-height: 30px;
        }

        .add_tips {
            color: red;
            letter-spacing: normal;
            max-width: 100% !important;
            margin-bottom: 10px;
            font-size: 17px;
        }

        /*# sourceMappingURL=jt.css.map */

    </style>
</head>

<body>
<main class="main_box">
    <strong>
        <div class="small_title">扫一扫 关注此客服号 领取200书币 继续看书</div>
    </strong>
    <div class="qrcode_box">
        <img src="{{$img}}" class="qrcode" />
    </div>
    <div class="qrcode_tips">
        <p>客服号微信</p>
        <p>（长按图片，识别二维码）</p>
    </div>
</main>
</body>
</html>
