<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>春暖花开·踏青季</title>
    <style>
        html {
            /* background: #5fc18e; */
        }

        html,
        body {
            margin: 0 auto;
            padding: 0;
            max-width: 450px;
            font-size: 100px;
        }

        .main_box {
            font-size: 0;
            position: relative;
        }

        .main_box img {
            width: 100%;
        }

        .activity_date {
            position: absolute;
            top: 43%;
            left: 50%;
            transform: translateX(-50%);
            width: 80%;
            height: 0.12rem;
        }

        .activity_date p {
            position: absolute;
            top: -58%;
            left: 50%;
            transform: translateX(-50%);
            width: 90%;
            text-align: center;
            font-size: 0.18rem;
            margin: 0;
            font-weight: bolder;
        }

        /* .activity_date p span {
          color: #506bfb;
        } */

        .recharge_box_one a {
            position: absolute;
            width: 80%;
            height: 0.75rem;
            top: 60%;
            left: 50%;
            transform: translateX(-50%);
            z-index: 999;
        }

        .show-in-iphone-x {
            position: relative;
        }

        .show-in-iphone-x .img-bg {
            min-height: 2.25rem;
        }

        .show-in-iphone-x .img-intro{
            position: absolute;
            left: 50%;
            top: 20%;
            width: 80%;
            transform: translateX(-50%);
        }

        .d_none {
            display: none;
        }
    </style>
</head>

<body>
<main class="main_box">
    <img src="http://yueduyun.oss-cn-hangzhou.aliyuncs.com/h5/qingming_bg.jpg" alt="">
    <div class="recharge_box_one">
        @if($code == 1)
            <!-- 活动未开始 -->
                <a href="#" class="un_begin">
                    <img src="http://yueduyun.oss-cn-hangzhou.aliyuncs.com/h5/qingming_undone.png" alt="">
                </a>
         @elseif($code == 0)
            <!-- 活动进行中 -->
                <a href="{{$url}}" class="beginning">
                    <img src="http://yueduyun.oss-cn-hangzhou.aliyuncs.com/h5/qingming_doing.png" alt="">
                </a>
         @elseif($code == 2)
            <!-- 活动结束 -->
                <a href="javascript:void(0)" class="over">
                    <img src="http://yueduyun.oss-cn-hangzhou.aliyuncs.com/h5/qingming_over.png" alt="">
                </a>
        @endif
    </div>
    <div class="show-in-iphone-x">
        <img class="img-bg" src="http://yueduyun.oss-cn-hangzhou.aliyuncs.com/h5/qingming_bg2.png" alt="">
        <img src="http://yueduyun.oss-cn-hangzhou.aliyuncs.com/h5/qingming_bg1.png" alt="" class="img-intro">
    </div>
</main>
</body>
<script>
    window.onload = function () {
        var body = document.documentElement.clientHeight
        if (body >= 812) {
            document.querySelector('.show-in-iphone-x').style.display = 'block'
        }
    }
</script>

</html>