<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>微信阅读小管家福利</title>
    <style>
        html,
        body {
            margin: 0 auto;
            padding: 0;
            height: 100%;
            max-width: 450px;
        }

        .main_box {
            height: inherit;
            font-size: 0;
            position: relative;
        }

        .main_box img {
            height: inherit;
            width: 100%;
        }

        .button {
            position: absolute;
            top: 50%;
            width: 80%;
            left: 50%;
            transform: translate(-50%);
        }

        .floatWindow {
            background-color: rgba(0, 0, 0, 0.4);
            width: 100%;
            height: 100%;
            position: fixed;
            top: 0;
            left: 0;
        }

        .floatWindow-body {
            position: absolute;
            top: 20%;
            left: 50%;
            transform: translate(-50%);
            width: 80%;
        }

        .floatWindow-body .money {
            font-size: 22px;
            font-weight: bold;
            position: absolute;
            top: 48%;
            color: #e54100;
            left: 28%;
        }

        .floatWindow-body .floatWindow-button {
            width: 80%;
            position: absolute;
            left: 50%;
            transform: translate(-50%);
            top: 70%;
        }
    </style>
</head>

<body>
<main class="main_box">
    <img src="//cdn-novel.iycdm.com/wap/sign/main_back.jpg" alt="" />
    <div class="recharge_box_one">
        <a href="/recent" class="button">
            <img src="//cdn-novel.iycdm.com/wap/sign/main_button.png" alt="" />
        </a>
    </div>
    @if($fee >0)
        <div class="floatWindow" id="floatWindow">
            <div class="floatWindow-body">
                <img src="//cdn-novel.iycdm.com/wap/sign/pop_back.png" alt="" />
                <div class="money">{{ $fee }}书币</div>
                <img
                        src="//cdn-novel.iycdm.com/wap/sign/pop_button.png"
                        id="floatWindow-button"
                        class="floatWindow-button"
                        onclick="close()"
                />
            </div>
        </div>
    @endif
</main>
</body>
<script>
    document
        .getElementById("floatWindow-button")
        .addEventListener("click", function() {
            document.getElementById("floatWindow").style.display = "none";
        });
</script>
</html>
